clientlib.h File Reference

Main Page Modules Alphabetical List Compound List File List Compound Members File Members

# /home/micah/picogui/pg1/client/c/src/clientlib.h File Reference

`#include <sys/types.h>`
`#include <fcntl.h>`
`#include <sys/time.h>`
`#include <sys/socket.h>`
`#include <sys/ioctl.h>`
`#include <unistd.h>`
`#include <netinet/tcp.h>`
`#include <sys/stat.h>`
`#include <netinet/in.h>`
`#include <netdb.h>`
`#include <stdio.h>`
`#include <malloc.h>`
`#include <signal.h>`
`#include <string.h>`
`#include <stdarg.h>`
`#include <stdlib.h>`
`#include <picogui.h>`
`#include <picogui/network.h>`

Go to the source code of this file.

## Compounds
struct | _pg_return_type
struct | _pghandlernode
## Defines
#define | PG_REQUEST_SERVER "127.0.0.1"
#define | PG_REQBUFSIZE 512
#define | clienterr(msg) (*_pgerrhandler)(PG_ERRT_CLIENT,msg)
## Functions
int | _pg_send (void *data, u32 datasize)
int | _pg_recv (void *data, u32 datasize)
int | _pg_recvtimeout (s16 *rsptype)
void * | _pg_malloc (size_t size)
void | _pg_defaulterr (u16 errortype, const char *msg)
void | _pg_add_request (s16 reqtype, void *data, u32 datasize)
void | _pg_getresponse (int eventwait)
void | _pg_free_memdata (struct pgmemdata memdat)
char * | _pg_dynformat (const char *fmt, va_list ap)
void | _pg_idle (void)
## Variables
int | _pgsockfd
s16 | _pgrequestid
s16 | _pgdefault_rship
pghandle | _pgdefault_widget
unsigned char | _pgeventloop_on
unsigned char | _pgreqbuffer [PG_REQBUFSIZE]
s16 | _pgreqbuffer_size
s16 | _pgreqbuffer_count
s16 | _pgreqbuffer_lasttype
void(* | _pgerrhandler )(u16 errortype, const char *msg)
_pghandlernode * | _pghandlerlist
timeval | _pgidle_period
pgidlehandler | _pgidle_handler
unsigned char | _pgidle_lock
char * | _pg_appname
pgselecthandler | _pgselect_handler
_pg_return_type | _pg_return
pghandle | _pg_appletbox

## Define Documentation

#define clienterr | ( | msg |  | ) | (*_pgerrhandler)(PG_ERRT_CLIENT,msg)

#define PG_REQBUFSIZE 512

#define PG_REQUEST_SERVER "127.0.0.1"

## Function Documentation

void _pg_add_request | ( | s16 | reqtype,
|  | void * | data,
|  | u32 | datasize
| ) |

void _pg_defaulterr | ( | u16 | errortype,
|  | const char * | msg
| ) |

char* _pg_dynformat | ( | const char * | fmt,
|  | va_list | ap
| ) |

void _pg_free_memdata | ( | struct pgmemdata | memdat | ) |

void _pg_getresponse | ( | int | eventwait | ) |

void _pg_idle | ( | void |  | ) |

void* _pg_malloc | ( | size_t | size | ) |

int _pg_recv | ( | void * | data,
|  | u32 | datasize
| ) |

int _pg_recvtimeout | ( | s16 * | rsptype | ) |

int _pg_send | ( | void * | data,
|  | u32 | datasize
| ) |

## Variable Documentation

pghandle _pg_appletbox

char* _pg_appname

struct _pg_return_type _pg_return

s16 _pgdefault_rship

pghandle _pgdefault_widget

void(* _pgerrhandler)(u16 errortype,const char *msg)

unsigned char _pgeventloop_on

struct _pghandlernode* _pghandlerlist

pgidlehandler _pgidle_handler

unsigned char _pgidle_lock

struct timeval _pgidle_period

unsigned char _pgreqbuffer[PG_REQBUFSIZE]

s16 _pgreqbuffer_count

s16 _pgreqbuffer_lasttype

s16 _pgreqbuffer_size

s16 _pgrequestid

pgselecthandler _pgselect_handler

int _pgsockfd